# MPS

A small tool for storing passwords locally with git sync

## Installation
1. Clone MPS repo: 
```
git clone git@code.corpglory.net:corpglory/mps.git
```

2. Build MPS
```
cd mps
cargo build --release
```

3. Run init
```
mps init
```

4. Add your storage under git
```bash
cd storage
git init
git checkout -b main
git add db.mps
git commit -m "init mps"
git remote add origin <your_git_storage_url>
git push -u origin main
```

### Intilization with exisitng storage db repo

1. Create empty repository for storing your passwords on gitlab or somewhere you prefer
2. Clone to your home folder `<mps_path>/storage`: `git clone <your_git_storage_url> storage`

#### Exporting `MPS_HOME`
You can export variable `$MPS_HOME` to init storage for example in your home directory:

`export MPS_HOME="/home/<your_username>/.mps"` in your `~/.zshenv`

now `mps` will try to get storage from `$MPS_HOME/storage`

#### Add your mps build to PATH in your ~/.zshenv

```
export PATH=$PATH:"<mps_path>/target/release"
```

